Subject: Re: [net-next PATCH 2/3] net: fix enforcing of fragment queue hash list depth

From: Jesper Dangaard Brouer <[email-masked]>
Date: Wed, 24 Apr 2013 15:35:23 +0200

On Fri, 2013-04-19 at 07:49 -0700, Eric Dumazet wrote:
> On Fri, 2013-04-19 at 14:19 +0200, Jesper Dangaard Brouer wrote:
> 
> > When removing the LRU system (which is the real bottleneck, see perf
> > tests in cover mail), and doing direct hash cleaning we are trading-in
> > accuracy.
[...]
> > The reason I don't want a too big hash table is the following.
> > 
> > Worst case 1024 buckets * 130K bytes = 133 MBytes, which on smaller
> > embedded systems is a lot of kernel memory we are permitting a remote
> > host to "lock-down".
> 
> Thats pretty irrelevant, memory is limited by the total amount of memory
> used by fragments, not by hash table size.
>
> Its called /proc/sys/net/ipv4/ipfrag_high_thresh

I was talking about patch-03, where I do "direct hash cleaning", and
have moved the mem limit "ipfrag_high_thresh" into the hash cleaning
step.

It seems we are talking past each-other...

--Jesper